local ConRO_DeathKnight, ids = ...;

--General
	ids.Racial = {
		ArcanePulse = 260364,
		ArcaneTorrent = 50613,
		Berserking = 26297,
	}
	ids.Covenant_Ability = {
		AbominationLimb = 315443,
		DeathsDue = 324128,
		Fleshcraft = 324631,
		ShackletheUnworthy = 312202,
		SwarmingMist = 311648,
	}
	ids.Covenant_Buff = {

	}
	ids.Covenant_Debuff = {	
		ShackletheUnworthy = 312202,
	}
	
--Blood
	ids.Blood_Ability = {
	--Death Knight	
		AntiMagicShell = 48707,
		AntiMagicZone = 51052,
		ChainsofIce = 45524,
		ControlUndead = 111673,
		DarkCommand = 56222,
		DeathandDecay = 43265,
		DeathCoil = 47541,
		DeathGate = 50977,
		DeathGrip = 49576,
		DeathStrike = 49998,
		DeathsAdvance = 48265,
		IceboundFortitude = 48792,
		Lichborne = 49039,
		MindFreeze = 47528,
		PathofFrost = 3714,
		RaiseAlly = 61999,
		RaiseDead = 46585,
		Runeforging = 53428,
		SacrificialPact = 327574,
	--Blood
		Asphyxiate = 221562,
		BloodBoil = 50842,
		DancingRuneWeapon = 49028,
		DeathsCaress = 195292,
		GorefiendsGrasp = 108199,
		HeartStrike = 206930,
		Marrowrend = 195182,
		RuneTap = 194679,
		VampiricBlood = 55233,
	}
	ids.Blood_Passive = {
	--Death Knight
		OnaPaleHorse = 51986,
		VeteranoftheThirdWar = 48263,
	--Blood	
		CrimsonScourge = 81136,
		MasteryBloodShield = 77513,
	}
	ids.Blood_Talent = {
		--15
		Heartbreaker = 221536,		
		Blooddrinker = 206931,		
		Tombstone = 219809,
		--25		
		RapidDecomposition = 194662,
		Hemostasis = 273946,
		Consumption = 274156,
		--30		
		FoulBulwark = 206974,
		RelishinBlood = 317610,
		BloodTap = 221699,
		--35
		WilloftheNecropolis = 206967,
		AntiMagicBarrier = 205727,
		MarkofBlood = 206940,
		--40
		GripoftheDead = 273952,
		TighteningGrasp = 206970,
		WraithWalk = 212552,
		--45
		Voracious = 273953,
		DeathPact = 48743,
		Bloodworms = 195679,	
		--50
		Purgatory = 114556,
		RedThirst = 205723,
		Bonestorm = 194844,
	}
	ids.Blood_PvPTalent = {
		--Honorable Medallion
		Adaptation = 214027,
		Relentless = 196029,
		GladiatorsMedallion = 208683,
		--
		RotandWither = 202727,
		WalkingDead = 202731,
		Strangulate = 47476,
		BloodforBlood = 233411,
		LastDance = 233412,
		DeathChain = 203173,
		MurderousIntent = 207018,
		NecroticAura = 199642,
		DecomposingAura = 199720,
		DarkSimulacrum = 77606,
		DomeofAncientShadow = 328718,
	}
	ids.Blood_Form = {
	
	}
	ids.Blood_Buff = {
		BloodforBlood = 233411,
		BloodShield = 77535,
		BoneShield = 195181,
		CrimsonScourge = 81141,
		DancingRuneWeapon = 81256,
		DeathandDecay = 188290,
		Hemostasis = 273947,

	}
	ids.Blood_Debuff = {
		BloodPlague = 55078,
	}
	ids.Blood_PetAbility = {
			
	}
		
--Frost
	ids.Frost_Ability = {
	--Death Knight	
		AntiMagicShell = 48707,
		AntiMagicZone = 51052,
		ChainsofIce = 45524,
		ControlUndead = 111673,
		DarkCommand = 56222,
		DeathandDecay = 43265,
		DeathCoil = 47541,
		DeathGate = 50977,
		DeathGrip = 49576,
		DeathStrike = 49998,
		DeathsAdvance = 48265,
		IceboundFortitude = 48792,
		Lichborne = 49039,
		MindFreeze = 47528,
		PathofFrost = 3714,
		RaiseAlly = 61999,
		RaiseDead = 46585,
		Runeforging = 53428,
		SacrificialPact = 327574,
	--Frost	
		EmpowerRuneWeapon = 47568,
		FrostStrike = 49143,
		FrostwyrmsFury = 279302,
		HowlingBlast = 49184,
		Obliterate = 49020,
		PathofFrost = 3714,
		PillarofFrost = 51271,
		RaiseAlly = 61999,
		RemorselessWinter = 196770,
	}
	ids.Frost_Passive = {
	--Death Knight
		OnaPaleHorse = 51986,
		VeteranoftheThirdWar = 48263,
	--Frost
		DarkSuccor = 178819,
		KillingMachine = 51128,
		MasteryFrozenHeart = 77514,
		MightoftheFrozenWastes = 81333,
		Rime = 59057,
		RunicEmpowerment = 81229,
	}
	ids.Frost_Talent = {
		--56
		InexorableAssault = 253593,
		IcyTalons = 194878,		
		ColdHeart = 281208,
		--57
		RunicAttenuation = 207104,
		MurderousEfficiency = 207061,
		HornofWinter = 57330,
		--58		
		DeathsReach = 276079,
		Asphyxiate = 108194,
		BlindingSleet = 207167,		
		--60		
		Avalanche = 207142,
		FrozenPulse = 194909,
		Frostscythe = 207230,
		--75
		Permafrost = 207200,
		WraithWalk = 212552,
		DeathPact = 48743,
		--90
		GatheringStorm = 194912,
		HypothermicPresence = 321995,
		GlacialAdvance = 194913,
		--100
		Icecap = 207126,
		Obliteration = 281238,
		BreathofSindragosa = 152279,
	}
	ids.Frost_PvPTalent = {
		--Honorable Medallion
		Adaptation = 214027,
		Relentless = 196029,
		GladiatorsMedallion = 208683,
		--
		ChillStreak = 305392,
--		LifeandDeath = 288855,
--		DarkSimulacrum = 77606,		
--		AntiMagicZone = 51052,
--		NectroticStrike = 223829,
--		Reanimation = 210128,
--		CadaverousPallor = 201995,
--		NecroticAura = 199642,		
--		DecomposingAura = 199720,
--		NecromancersBargain = 288848,
--		RaiseAbomination = 288853,
--		Transfusion = 288977,	
	}
	ids.Frost_Form = {
		BreathofSindragosa = 152279,
	}
	ids.Frost_Buff = {
		ColdHeart = 281209,
		DarkSuccor = 101568,
		IcyTalons = 194879,
		InexorableAssault = 253595,
		KillingMachine = 51124,
		PillarofFrost = 51271,
		RemorselessWinter = 196770,
		Rime = 59052,
		UnholyStrength = 53365,
		BloodShield = 77535,
		DeathandDecay = 188290,
		EmpowerRuneWeapon = 47568,
	}
	ids.Frost_Debuff = {
		FrostFever = 55095,
		RazorIce = 51714,
	}
	ids.Frost_PetAbility = {
		
	}

--Unholy
	ids.Unholy_Ability = {
	--Death Knight	
		AntiMagicShell = 48707,
		AntiMagicZone = 51052,
		ChainsofIce = 45524,
		ControlUndead = 111673,
		DarkCommand = 56222,
		DeathandDecay = 43265,
		DeathCoil = 47541,
		DeathGate = 50977,
		DeathGrip = 49576,
		DeathStrike = 49998,
		DeathsAdvance = 48265,
		IceboundFortitude = 48792,
		Lichborne = 49039,
		MindFreeze = 47528,
		PathofFrost = 3714,
		RaiseAlly = 61999,
		RaiseDead = 46585,
		Runeforging = 53428,
		SacrificialPact = 327574,
	--Unholy
		Apocalypse = 275699,
		ArmyoftheDead = 42650,
		DarkTransformation = 63560,
		Epidemic = 207317,
		FesteringStrike = 85948,
		Outbreak = 77575,
		RaiseDead = 46584,
		ScourgeStrike = 55090,
	}
	ids.Unholy_Passive = {
	--Death Knight
		OnaPaleHorse = 51986,
		VeteranoftheThirdWar = 48263,
	--Unholy
		DarkSuccor = 178819,
		MasteryDreadblade = 77515,
		RunicCorruption = 51462,
		SuddenDoom = 49530,
	}
	ids.Unholy_Talent = {
		--15
		InfectedClaws = 207272,
		AllWillServe = 194916,
		ClawingShadows = 207311,
		--25
		BurstingSores = 207264,
		EbonFever = 207269,
		UnholyBlight = 115989,
		--30
		GripoftheDead = 273952,
		DeathsReach = 276079,
		Asphyxiate = 108194,
		--35
		PestilentPustules = 194917,
		HarbingerofDoom = 276023,
		SoulReaper = 343294,
		--40
		SpellEater = 207321,
		WraithWalk = 212552,
		DeathPact = 48743,
		--45
		Pestilence = 277234,
		UnholyPact = 319230,
		Defile = 152280,
		--50
		ArmyoftheDamned = 276837,
		SummonGargoyle = 49206,
		UnholyAssault = 207289,
	}
	ids.Unholy_PvPTalent = {
		--Honorable Medallion
		Adaptation = 214027,
		Relentless = 196029,
		GladiatorsMedallion = 208683,
		--
		LifeandDeath = 288855,
		DarkSimulacrum = 77606,		
		AntiMagicZone = 51052,
		NecroticStrike = 223829,
		Reanimation = 210128,
		CadaverousPallor = 201995,
		NecroticAura = 199642,		
		DecomposingAura = 199720,
		NecromancersBargain = 288848,
		RaiseAbomination = 288853,
		Transfusion = 288977,
		Lichborne = 287081,
	}	
	ids.Unholy_Form = {
		
	}
	ids.Unholy_Buff = {
		DarkSuccor = 101568,
		DeathandDecay = 188290,
		SuddenDoom = 81340,
		SoulReaper = 215711,
		Transfusion = 288977,
		BloodShield = 77535,
	}
	ids.Unholy_Debuff = {
		FesteringWound = 194310,
		NecroticStrike = 223929,		
		ScourgeofWorlds = 191748,
		SoulReaper = 130736,
		VirulentPlague = 191587,
		UnholyBlight = 115994,
	}
	ids.Unholy_PetAbility = {
		Claw = 47468,
	}